Show / Hide Table of Contents

# Struct ImFontAtlasTexturePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontAtlasTexturePtr

### Constructors

| Improve this Doc View Source

#### ImFontAtlasTexturePtr(ImFontAtlasTexture*)

##### Declaration

    public ImFontAtlasTexturePtr(ImFontAtlasTexture*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasTexture* | nativePtr |

| Improve this Doc View Source

#### ImFontAtlasTexturePtr(IntPtr)

##### Declaration

    public ImFontAtlasTexturePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImFontAtlasTexture*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasTexture* |

| Improve this Doc View Source

#### TexID

##### Declaration

    public readonly ref IntPtr TexID { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsAlpha8

##### Declaration

    public IntPtr TexPixelsAlpha8 { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsRGBA32

##### Declaration

    public IntPtr TexPixelsRGBA32 { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontAtlasTexture* to ImFontAtlasTexturePtr)

##### Declaration

    public static implicit operator ImFontAtlasTexturePtr(ImFontAtlasTexture*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasTexture* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasTexturePtr |

| Improve this Doc View Source

#### Implicit(ImFontAtlasTexturePtr to ImFontAtlasTexture*)

##### Declaration

    public static implicit operator ImFontAtlasTexture*(ImFontAtlasTexturePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasTexturePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasTexture* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontAtlasTexturePtr)

##### Declaration

    public static implicit operator ImFontAtlasTexturePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasTexturePtr |